Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGTransform

public interface SVGTransform

Field Summary
`static short` | `SVG_TRANSFORM_MATRIX`
`static short` | `SVG_TRANSFORM_ROTATE`
`static short` | `SVG_TRANSFORM_SCALE`
`static short` | `SVG_TRANSFORM_SKEWX`
`static short` | `SVG_TRANSFORM_SKEWY`
`static short` | `SVG_TRANSFORM_TRANSLATE`
`static short` | `SVG_TRANSFORM_UNKNOWN`

Method Summary
`float` | `getAngle()`
`SVGMatrix` | `getMatrix()`
`short` | `getType()`
`void` | `setMatrix(SVGMatrix matrix)`
`void` | `setRotate(float angle, float cx, float cy)`
`void` | `setScale(float sx, float sy)`
`void` | `setSkewX(float angle)`
`void` | `setSkewY(float angle)`
`void` | `setTranslate(float tx, float ty)`

Field Detail

### SVG_TRANSFORM_UNKNOWN

    public static final short SVG_TRANSFORM_UNKNOWN

### SVG_TRANSFORM_MATRIX

    public static final short SVG_TRANSFORM_MATRIX

### SVG_TRANSFORM_TRANSLATE

    public static final short SVG_TRANSFORM_TRANSLATE

### SVG_TRANSFORM_SCALE

    public static final short SVG_TRANSFORM_SCALE

### SVG_TRANSFORM_ROTATE

    public static final short SVG_TRANSFORM_ROTATE

### SVG_TRANSFORM_SKEWX

    public static final short SVG_TRANSFORM_SKEWX

### SVG_TRANSFORM_SKEWY

    public static final short SVG_TRANSFORM_SKEWY

Method Detail

### getType

    public short getType()

### getMatrix

    public SVGMatrix getMatrix()

### getAngle

    public float getAngle()

### setMatrix

    public void setMatrix(SVGMatrix matrix)

### setTranslate

    public void setTranslate(float tx,
                             float ty)

### setScale

    public void setScale(float sx,
                         float sy)

### setRotate

    public void setRotate(float angle,
                          float cx,
                          float cy)

### setSkewX

    public void setSkewX(float angle)

### setSkewY

    public void setSkewY(float angle)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD